> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/uruchamianie-aplikacji.md).

# Launching the application

If you do not want to start by launching the form but only the application, then the first step to take is setting **the start point** of the application (form or process).

## Setting the application's start point

The start point can be set directly in the **Applications** module – in the tabs **Forms** or **Processes**.

{% hint style="info" %}
For the application to run correctly, it is necessary to first create the data model described in [Data model](/documentation/documentation-en/budowanie-aplikacji/model-danych.md).
{% endhint %}

### Setting a form as the application's start point (recommended) and launching the application

As the start point, we can set one of the forms added to a given application. After entering the **Forms** tab, click the context menu of the appropriate request and select the option **Set start point**:

![Figure 1. Context menu with the option to set the request as the start point.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/KbMvaMEF7wh7FaEnjaUW/wniosek_jako_start_app_pliki/image2024-4-23_12-59-6.png)

{% hint style="warning" %}
Note! After changing the start request, an "invalidate cache" in webforms may be necessary (if the application has already been run before). To do this, run the following cURL command (replace USERNAME and PASSWORD with the appropriate data):
{% endhint %}

{% code title="Invalidate cache" %}

```bash
curl -u USERNAME:PASSWORD -X POST "http://webforms-dev.consdata.local/cache/invalidate?cacheType=PUBLISHED_TEMPLATE"
```

{% endcode %}

To launch an application, e.g. named wiki\_przyklad\_app, use the following link:

```
https://przykladowy.link.demo/stkn=#/wiki_przyklad_app
```

When the application is launched, **the request**that has been set as the start point will be opened.

### Setting a process as the start point and launching the application

{% hint style="info" %}
The availability of the functionality depends on the license and may not be available in all deployments.
{% endhint %}

In some cases, the application should start with a process that controls the logic of operation.

To set a process as the start point, after entering the **Processes** tab, click the so-called "kebab menu" and in the context menu of the appropriate process select the option **Set start point**:

![Figure 2. Context menu with the option to set the process as the start point.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/e9TRZvRVf31katSFcbAV/proces_jako_start_app_pliki/image2024-12-4_11-12-37.png)

If a process is set as the application's start point instead of a request, additionally in the **Properties** tab of the form, go to the **Flows** tab and in the [**Actions**](https://wiki.consdata.pl/display/IED/Akcje) section define the following event:

* **Component handling the action:** e.g. *Trigger or Page*
* **Event type** *:* *depends on the selected component triggering the change*
* **Form action:** *START\_APPLICATION*
* **Application name:** name of the application to be launched (the application will launch **process** set as the start point) or the name of the process to be started
* **Redirect to the next process step:** condition *JAVASCRIPT* - specifies whether automatic redirection to the next step should occur (*user task* ); default value: *false.*

![Figure 3. Example of defining the START\_APPLICATION action triggered by clicking the Trigger.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/X2vByfdD4195LeDDpmIP/uruchamanie_app_pliki/image2025-5-27_10-43-38.png)

*The application will start after the event that handles the START\_APPLICATION action is triggered.*

### Information about the set start point

If a request or process is the application's start point, an information tag with a flag and the text "Start point" is displayed.

![Figure 4. Example of displaying the set start point](https://2112972046-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2CssJT0zIo4SJQLbSZ6l%2Fuploads%2Fgit-blob-baf6415dc19dab3a60f200a694f423c058aaa947%2Fustawiony-punkt-startowy.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/uruchamianie-aplikacji.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
